#version 410

uniform sampler2D tex;
uniform float time;
in vec2 texCoord;
out vec4 fragColor;

void main()
{
	vec2 uv = texCoord;
	uv*=50.0;
	vec2 ss=uv;
	uv.x+=sin(uv.y)+time;
	uv.y+=sin(uv.x)+time;
	
	bool r,g,b;
	r=g=b=false;
	
	float threshold=sin(time)*0.3+0.5;
	
	if(sin(uv.y)*0.5+0.5>=threshold) r=true;
	if(cos(uv.x)*0.5+0.5>=threshold) b=true;
	if(sin(ss.x-ss.y*0.75+iGlobalTime)>=threshold) g=true;
	
	//http://www.colourlovers.com/palette/116120/Yes_sir_right_away.
	vec3 col=vec3(241,240,233);
	
	if(g) col=vec3(179,171,142);
	if(b) col=vec3(53,53,53);
	if(r) col=vec3(134,36,36);
	
	fragColor = vec4(col/255.0,1.0);
}
