#version 410

uniform sampler2D tex;
uniform float time;
in vec2 texCoord;
out vec4 fragColor;

void main()
{
	vec2 uv = texCoord;
    uv.x+=time*0.005+sin(time*0.24)*0.5;
    uv.y+=time*-0.0043+sin(time*0.48)*0.5;
    
    //http://www.colourlovers.com/palette/209786/Corporate_Confidence
    vec3 col=vec3(60,66,66);
    //noise texture on iChannel0
    float rand=texture2D(tex,floor(uv*10.0)*sin(time*0.006)*0.4+0.4).r;
    if(rand>0.2) col=vec3(148,214,186);
    if(rand>0.4) col=vec3(109,141,130);
    if(rand>0.6) col=vec3(198,193,128);
    if(rand>0.8) col=vec3(240,234,161);
    
	fragColor = vec4(col/255.0,1.0);
}
